#ifndef SIGNALBOX_H
#define SIGNALBOX_H

#include <QDialog>

#if defined(Q_OS_WIN32)
    #include "windows.h"
    #include "okapi32.h"
#else
    #include "../share/winsim.h"
    #include "../share/okapi32.h"
#endif

namespace Ui {
class SignalBox;
}

class SignalBox : public QDialog
{
    Q_OBJECT

public:
    explicit SignalBox(QWidget *parent = 0);
    ~SignalBox();

    void showEvent(QShowEvent *event);

private:
    Ui::SignalBox *ui;

private:
    HANDLE		hBoard;

    int		videotype,scanlines,fieldfrq;

public:
    void SetBoard(HANDLE h);
};

#endif // SIGNALBOX_H
